summaryrefslogtreecommitdiff
path: root/app-admin/entr/files/entr-5.3-no-which.patch
blob: fbc96fe697f496ccadc24775deb014f67e5ec228 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
Upstream-PR: https://github.com/eradman/entr/pull/108

diff --git a/system_test.sh b/system_test.sh
index 2687bb3..dbec661 100755
--- a/system_test.sh
+++ b/system_test.sh
@@ -40,7 +40,7 @@ trap "$clear_tty; $clear_tmux; $clear_tmp" EXIT
 
 utils="file pgrep git vim tmux"
 for util in $utils; do
-	p=$(which $util 2> /dev/null) || {
+	p=$(command -pv $util) || {
 		echo "ERROR: could not locate the '$util' utility" >&2
 		echo "System tests depend on the following: $utils" >&2
 		exit 1
--